% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/old-job-extract.R
\name{insert_extract_job}
\alias{insert_extract_job}
\title{Create a new extract job \link{deprecated}}
\usage{
insert_extract_job(project, dataset, table, destination_uris,
  compression = "NONE", destination_format = "NEWLINE_DELIMITED_JSON", ...,
  print_header = TRUE, billing = project)
}
\arguments{
\item{project}{Project and dataset identifiers}

\item{dataset}{Project and dataset identifiers}

\item{table}{name of table to insert values into}

\item{destination_uris}{Fully qualified google storage url. For large
extracts you may need to specify a wild-card since}

\item{compression}{Compression type ("NONE", "GZIP")}

\item{destination_format}{Destination format ("CSV", "ARVO", or
"NEWLINE_DELIMITED_JSON")}

\item{...}{Additional arguments passed on to the underlying API call.
snake_case names are automatically converted to camelCase.}

\item{print_header}{Include row of column headers in the results?}

\item{billing}{project ID to use for billing}
}
\value{
a job resource list, as documented at
\url{https://cloud.google.com/bigquery/docs/reference/v2/jobs}
}
\description{
Please use \link{api-job} instead.
}
\seealso{
Other jobs: \code{\link{get_job}},
  \code{\link{insert_query_job}},
  \code{\link{insert_upload_job}}, \code{\link{wait_for}}
}
\keyword{internal}
